跳转到主要内容
GET
/
v1
/
summarize
Generate video or audio summary from url
curl --request GET \
  --url https://api.bibigpt.co/api/v1/summarize \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "id": "<string>",
  "service": "<string>",
  "sourceUrl": "<string>",
  "htmlUrl": "<string>",
  "costDuration": 123,
  "remainingTime": 123,
  "summary": "<string>",
  "detail": {
    "id": "<string>",
    "url": "<string>",
    "type": "bilibili",
    "title": "<string>",
    "duration": 123,
    "summary": "<string>",
    "dbId": "<string>",
    "embedId": "<string>",
    "pageId": "<string>",
    "rawLang": "<string>",
    "translationUrls": [
      {
        "code": "<string>",
        "url": "<string>"
      }
    ],
    "audioUrl": "<string>",
    "playUrl": "<string>",
    "cover": "<string>",
    "author": "<string>",
    "authorId": "<string>",
    "publishedDate": "<unknown>",
    "subtitlesArray": [
      {
        "startTime": 123,
        "end": 123,
        "text": "<string>",
        "index": 123,
        "words": [
          {
            "start": 123,
            "end": 123,
            "text": "<string>",
            "punctuation": "<string>"
          }
        ],
        "speaker_id": 123,
        "_isGrouped": true,
        "_originalSubtitles": [
          "<unknown>"
        ]
      }
    ],
    "descriptionText": "<string>",
    "contentText": "<string>",
    "aiImages": [
      {
        "startTime": 123,
        "endTime": 123,
        "prompt": "<string>",
        "image": "<string>"
      }
    ],
    "chapters": [
      {
        "from": 123,
        "to": 123,
        "content": "<string>",
        "type": 123,
        "imgUrl": "<string>"
      }
    ],
    "local_path": "<string>",
    "status": "<string>"
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

url
string
必填

The URL to the video (e.g., ?url=https://www.bilibili.com/video/BV1Sk4y1x7r2)

includeDetail
boolean

响应

Successful response

success
boolean
必填
id
string
必填
service
string
必填
sourceUrl
string
必填
htmlUrl
string
必填
costDuration
number
必填
remainingTime
number
必填
summary
string
detail
object